Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsEmployees
        Dim _employeeID As Integer

        Sub New(ByVal employeeID As Integer)
            InitializeComponent()
            _employeeID = employeeID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objEmployees As Employees = Employees.SelectByPrimaryKey(_employeeID)

            If objEmployees IsNot Nothing Then
                TxtEmployeeID.Text = objEmployees.EmployeeID.ToString()
                TxtLastName.Text = objEmployees.LastName
                TxtFirstName.Text = objEmployees.FirstName
                TxtTitle.Text = objEmployees.Title
                TxtTitleOfCourtesy.Text = objEmployees.TitleOfCourtesy
                TxtAddress.Text = objEmployees.Address
                TxtCity.Text = objEmployees.City
                TxtRegion1.Text = objEmployees.Region1
                TxtPostalCode.Text = objEmployees.PostalCode
                TxtCountry.Text = objEmployees.Country
                TxtHomePhone.Text = objEmployees.HomePhone
                TxtExtension.Text = objEmployees.Extension
                TxtNotes.Text = objEmployees.Notes
                TxtPhotoPath.Text = objEmployees.PhotoPath

                If objEmployees.BirthDate IsNot Nothing Then
                    TxtBirthDate.Text = objEmployees.BirthDate.ToString()
                End If

                If objEmployees.HireDate IsNot Nothing Then
                    TxtHireDate.Text = objEmployees.HireDate.ToString()
                End If
            End If
        End Sub
    End Class
