Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsOrderDetails
        Dim _orderID As Integer
        Dim _productID As Integer

        Sub New(ByVal orderID As Integer, ByVal productID As Integer)
            InitializeComponent()
            _orderID = orderID
            _productID = productID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objOrderDetails As OrderDetails = OrderDetails.SelectByPrimaryKey(_orderID, _productID)

            If objOrderDetails IsNot Nothing Then
                TxtOrderID.Text = objOrderDetails.OrderID.ToString()
                TxtProductID.Text = objOrderDetails.ProductID.ToString()
                TxtUnitPrice.Text = objOrderDetails.UnitPrice.ToString()
                TxtQuantity.Text = objOrderDetails.Quantity.ToString()
                TxtDiscount.Text = objOrderDetails.Discount.ToString()
            End If
        End Sub
    End Class
