Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsTerritories
        Dim _territoryID As String

        Sub New(ByVal territoryID As String)
            InitializeComponent()
            _territoryID = territoryID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objTerritories As Territories = Territories.SelectByPrimaryKey(_territoryID)

            If objTerritories IsNot Nothing Then
                TxtTerritoryID.Text = objTerritories.TerritoryID
                TxtRegionID.Text = objTerritories.RegionID.ToString()
                TxtTerritoryDescription.Text = objTerritories.TerritoryDescription
            End If
        End Sub
    End Class
