Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class UpdateOrderDetails
        Dim _orderID As Integer
        Dim _productID As Integer

        Public Sub New(ByVal orderID As Integer, ByVal productID As Integer)
            InitializeComponent()
            _orderID = orderID
            _productID = productID
        End Sub

        Private Sub objAddEditOrderDetails_Load(sender As Object, e As EventArgs) Handles MyBase.Load
            ' set properties
            objAddEditOrderDetails.Operation = Domain.CrudOperation.Update
            objAddEditOrderDetails.OrderID = _orderID
            objAddEditOrderDetails.ProductID = _productID

            ' retrieve OrderID values
            Dim objOrders As New Orders()
            objOrders.OrderID = -1
            objOrders.ShipName = "Choose One"

            Dim objOrdersCol As OrdersCollection = Orders.SelectOrdersDropDownListData()

            If objOrdersCol IsNot Nothing
                objOrdersCol.Insert(0, objOrders)

                objAddEditOrderDetails.CbxOrderID.DataSource = objOrdersCol
                objAddEditOrderDetails.CbxOrderID.ValueMember = "OrderID"
                objAddEditOrderDetails.CbxOrderID.DisplayMember = "ShipName"
            End If
            ' retrieve ProductID values
            Dim objProducts As New Products()
            objProducts.ProductID = -1
            objProducts.ProductName = "Choose One"

            Dim objProductsCol As ProductsCollection = Products.SelectProductsDropDownListData()

            If objProductsCol IsNot Nothing
                objProductsCol.Insert(0, objProducts)

                objAddEditOrderDetails.CbxProductID.DataSource = objProductsCol
                objAddEditOrderDetails.CbxProductID.ValueMember = "ProductID"
                objAddEditOrderDetails.CbxProductID.DisplayMember = "ProductName"
            End If
            objAddEditOrderDetails.GetOrderDetailsToEdit()
        End Sub
    End Class
