Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class UpdateOrders
        Dim _orderID As Integer

        Public Sub New(ByVal orderID As Integer)
            InitializeComponent()
            _orderID = orderID
        End Sub

        Private Sub objAddEditOrders_Load(sender As Object, e As EventArgs) Handles MyBase.Load
            ' set properties
            objAddEditOrders.Operation = Domain.CrudOperation.Update
            objAddEditOrders.OrderID = _orderID

            objAddEditOrders.TxtOrderID.Enabled = False

            ' retrieve CustomerID values
            Dim objCustomers As New Customers()
            objCustomers.CustomerID = String.Empty
            objCustomers.CompanyName = "Choose One"

            Dim objCustomersCol As CustomersCollection = Customers.SelectCustomersDropDownListData()

            If objCustomersCol IsNot Nothing
                objCustomersCol.Insert(0, objCustomers)

                objAddEditOrders.CbxCustomerID.DataSource = objCustomersCol
                objAddEditOrders.CbxCustomerID.ValueMember = "CustomerID"
                objAddEditOrders.CbxCustomerID.DisplayMember = "CompanyName"
            End If
            ' retrieve EmployeeID values
            Dim objEmployees As New Employees()
            objEmployees.EmployeeID = -1
            objEmployees.LastName = "Choose One"

            Dim objEmployeesCol As EmployeesCollection = Employees.SelectEmployeesDropDownListData()

            If objEmployeesCol IsNot Nothing
                objEmployeesCol.Insert(0, objEmployees)

                objAddEditOrders.CbxEmployeeID.DataSource = objEmployeesCol
                objAddEditOrders.CbxEmployeeID.ValueMember = "EmployeeID"
                objAddEditOrders.CbxEmployeeID.DisplayMember = "LastName"
            End If
            ' retrieve ShipVia values
            Dim objShippers As New Shippers()
            objShippers.ShipperID = -1
            objShippers.CompanyName = "Choose One"

            Dim objShippersCol As ShippersCollection = Shippers.SelectShippersDropDownListData()

            If objShippersCol IsNot Nothing
                objShippersCol.Insert(0, objShippers)

                objAddEditOrders.CbxShipVia.DataSource = objShippersCol
                objAddEditOrders.CbxShipVia.ValueMember = "ShipperID"
                objAddEditOrders.CbxShipVia.DisplayMember = "CompanyName"
            End If
            objAddEditOrders.GetOrdersToEdit()
        End Sub
    End Class
