Imports System
Imports System.Drawing
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject
Imports NorthwindWinFormDynamic_VB.Domain

    Public Class UnboundAddEditOrders

        Dim _orderID As Integer
        Private _operation As CrudOperation

        Public Property OrderID() As Integer
            Get
                Return _orderID
            End Get
            Set(ByVal value As Integer)
                _orderID = value
            End Set
        End Property


        Public Property Operation() As String
            Get
                Return _operation
            End Get
            Set(ByVal value As String)
                _operation = value
            End Set
        End Property

        Private Sub UnboundAddEditOrders_Load(sender As Object, e As EventArgs) Handles MyBase.Load
            SetDateFieldsToDefault()
        End Sub

        Private Sub BtnSave_Click(sender As Object, e As EventArgs) Handles BtnSave.Click
            Dim errors As String = ValidateEntries()

            If String.IsNullOrEmpty(errors) Then
                AddOrUpdateOrders()
                WindowHelper.CloseParent(Me)
            Else
                MessageBox.Show(errors, "Validation errors")
            End If
        End Sub

        Private Sub BtnCancel_Click(sender As Object, e As EventArgs) Handles BtnCancel.Click
            WindowHelper.CloseParent(Me)
        End Sub

        Private Sub DtpOrderDate_ValueChanged(sender As Object, e As EventArgs) Handles DtpOrderDate.ValueChanged
            Me.DtpOrderDate.CustomFormat = "MM/dd/yyyy"
        End Sub

        Private Sub DtpRequiredDate_ValueChanged(sender As Object, e As EventArgs) Handles DtpRequiredDate.ValueChanged
            Me.DtpRequiredDate.CustomFormat = "MM/dd/yyyy"
        End Sub

        Private Sub DtpShippedDate_ValueChanged(sender As Object, e As EventArgs) Handles DtpShippedDate.ValueChanged
            Me.DtpShippedDate.CustomFormat = "MM/dd/yyyy"
        End Sub


        Private Sub SetDateFieldsToDefault()
            Me.DtpOrderDate.CustomFormat = " "
            Me.DtpOrderDate.Format = DateTimePickerFormat.Custom

            Me.DtpRequiredDate.CustomFormat = " "
            Me.DtpRequiredDate.Format = DateTimePickerFormat.Custom

            Me.DtpShippedDate.CustomFormat = " "
            Me.DtpShippedDate.Format = DateTimePickerFormat.Custom

        End Sub

        Private Function ValidateEntries() As String
            Dim errors As String = String.Empty

            ' validate
            Return errors
        End Function

        Friend Sub GetOrdersToEdit()
            ' place your code here
        End Sub

        Private Sub AddOrUpdateOrders()
            ' place your code here
        End Sub
    End Class
