Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsOrders
        Dim _orderID As Integer

        Sub New(ByVal orderID As Integer)
            InitializeComponent()
            _orderID = orderID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objOrders As Orders = Orders.SelectByPrimaryKey(_orderID)

            If objOrders IsNot Nothing Then
                TxtOrderID.Text = objOrders.OrderID.ToString()
                TxtCustomerID.Text = objOrders.CustomerID
                TxtShipName.Text = objOrders.ShipName
                TxtShipAddress.Text = objOrders.ShipAddress
                TxtShipCity.Text = objOrders.ShipCity
                TxtShipRegion.Text = objOrders.ShipRegion
                TxtShipPostalCode.Text = objOrders.ShipPostalCode
                TxtShipCountry.Text = objOrders.ShipCountry

                If objOrders.OrderDate IsNot Nothing Then
                    TxtOrderDate.Text = objOrders.OrderDate.ToString()
                End If

                If objOrders.RequiredDate IsNot Nothing Then
                    TxtRequiredDate.Text = objOrders.RequiredDate.ToString()
                End If

                If objOrders.ShippedDate IsNot Nothing Then
                    TxtShippedDate.Text = objOrders.ShippedDate.ToString()
                End If

                If objOrders.Freight IsNot Nothing Then
                    TxtFreight.Text = objOrders.Freight.ToString()
                End If
            End If
        End Sub
    End Class
