Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsProducts
        Dim _productID As Integer

        Sub New(ByVal productID As Integer)
            InitializeComponent()
            _productID = productID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objProducts As Products = Products.SelectByPrimaryKey(_productID)

            If objProducts IsNot Nothing Then
                TxtProductID.Text = objProducts.ProductID.ToString()
                TxtProductName.Text = objProducts.ProductName
                TxtQuantityPerUnit.Text = objProducts.QuantityPerUnit
                CbxDiscontinued.Checked = objProducts.Discontinued

                If objProducts.UnitPrice IsNot Nothing Then
                    TxtUnitPrice.Text = objProducts.UnitPrice.ToString()
                End If

                If objProducts.UnitsInStock IsNot Nothing Then
                    TxtUnitsInStock.Text = objProducts.UnitsInStock.ToString()
                End If

                If objProducts.UnitsOnOrder IsNot Nothing Then
                    TxtUnitsOnOrder.Text = objProducts.UnitsOnOrder.ToString()
                End If

                If objProducts.ReorderLevel IsNot Nothing Then
                    TxtReorderLevel.Text = objProducts.ReorderLevel.ToString()
                End If
            End If
        End Sub
    End Class
