Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class DetailsSuppliers
        Dim _supplierID As Integer

        Sub New(ByVal supplierID As Integer)
            InitializeComponent()
            _supplierID = supplierID
            FillForm()
        End Sub

        Private Sub BtnClose_Click(ender As Object, e As EventArgs) Handles BtnClose.Click
            Me.Close()
        End Sub

        Private Sub FillForm()
            Dim objSuppliers As Suppliers = Suppliers.SelectByPrimaryKey(_supplierID)

            If objSuppliers IsNot Nothing Then
                TxtSupplierID.Text = objSuppliers.SupplierID.ToString()
                TxtCompanyName.Text = objSuppliers.CompanyName
                TxtContactName.Text = objSuppliers.ContactName
                TxtContactTitle.Text = objSuppliers.ContactTitle
                TxtAddress.Text = objSuppliers.Address
                TxtCity.Text = objSuppliers.City
                TxtRegion1.Text = objSuppliers.Region1
                TxtPostalCode.Text = objSuppliers.PostalCode
                TxtCountry.Text = objSuppliers.Country
                TxtPhone.Text = objSuppliers.Phone
                TxtFax.Text = objSuppliers.Fax
                TxtHomePage.Text = objSuppliers.HomePage
            End If
        End Sub
    End Class
