Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class UpdateProducts
        Dim _productID As Integer

        Public Sub New(ByVal productID As Integer)
            InitializeComponent()
            _productID = productID
        End Sub

        Private Sub objAddEditProducts_Load(sender As Object, e As EventArgs) Handles MyBase.Load
            ' set properties
            objAddEditProducts.Operation = Domain.CrudOperation.Update
            objAddEditProducts.ProductID = _productID

            objAddEditProducts.TxtProductID.Enabled = False

            ' retrieve SupplierID values
            Dim objSuppliers As New Suppliers()
            objSuppliers.SupplierID = -1
            objSuppliers.CompanyName = "Choose One"

            Dim objSuppliersCol As SuppliersCollection = Suppliers.SelectSuppliersDropDownListData()

            If objSuppliersCol IsNot Nothing
                objSuppliersCol.Insert(0, objSuppliers)

                objAddEditProducts.CbxSupplierID.DataSource = objSuppliersCol
                objAddEditProducts.CbxSupplierID.ValueMember = "SupplierID"
                objAddEditProducts.CbxSupplierID.DisplayMember = "CompanyName"
            End If
            ' retrieve CategoryID values
            Dim objCategories As New Categories()
            objCategories.CategoryID = -1
            objCategories.CategoryName = "Choose One"

            Dim objCategoriesCol As CategoriesCollection = Categories.SelectCategoriesDropDownListData()

            If objCategoriesCol IsNot Nothing
                objCategoriesCol.Insert(0, objCategories)

                objAddEditProducts.CbxCategoryID.DataSource = objCategoriesCol
                objAddEditProducts.CbxCategoryID.ValueMember = "CategoryID"
                objAddEditProducts.CbxCategoryID.DisplayMember = "CategoryName"
            End If
            objAddEditProducts.GetProductsToEdit()
        End Sub
    End Class
