Imports System
Imports System.Windows.Forms
Imports NorthwindWinFormDynamic_VB.BusinessObject

    Public Class UpdateTerritories
        Dim _territoryID As String

        Public Sub New(ByVal territoryID As String)
            InitializeComponent()
            _territoryID = territoryID
        End Sub

        Private Sub objAddEditTerritories_Load(sender As Object, e As EventArgs) Handles MyBase.Load
            ' set properties
            objAddEditTerritories.Operation = Domain.CrudOperation.Update
            objAddEditTerritories.TerritoryID = _territoryID

            ' retrieve RegionID values
            Dim objRegion As New BusinessObject.Region()
            objRegion.RegionID = -1
            objRegion.RegionDescription = "Choose One"

            Dim objRegionCol As RegionCollection = BusinessObject.Region.SelectRegionDropDownListData()

            If objRegionCol IsNot Nothing
                objRegionCol.Insert(0, objRegion)

                objAddEditTerritories.CbxRegionID.DataSource = objRegionCol
                objAddEditTerritories.CbxRegionID.ValueMember = "RegionID"
                objAddEditTerritories.CbxRegionID.DisplayMember = "RegionDescription"
            End If
            objAddEditTerritories.GetTerritoriesToEdit()
        End Sub
    End Class
